Package net.shibboleth.saml.saml2.profile.config

# Interface ArtifactResolutionProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLProfileConfiguration`

public interface ArtifactResolutionProfileConfiguration extends SAML2ProfileConfiguration
Configuration support for SAML 2.0 artifact resolution profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROFILE_ID`
ID for this profile configuration.

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEncryptAssertions(ProfileRequestContext profileRequestContext)`
Gets whether enclosed assertions should be encrypted.
`boolean`
`isEncryptAttributes(ProfileRequestContext profileRequestContext)`
Gets whether enclosed attributes should be encrypted.
`boolean`
`isSignAssertions(ProfileRequestContext profileRequestContext)`
Gets whether enclosed assertions should be signed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty static final String PROFILE_ID
ID for this profile configuration.

See Also:
  - Constant Field Values

## Method Details

### isSignAssertions

@ConfigurationSetting(name="signAssertions") boolean isSignAssertions(@Nullable ProfileRequestContext profileRequestContext)
Gets whether enclosed assertions should be signed.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether enclosed assertions should be signed

### isEncryptAssertions

@ConfigurationSetting(name="encryptAssertions") boolean isEncryptAssertions(@Nullable ProfileRequestContext profileRequestContext)
Gets whether enclosed assertions should be encrypted.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether enclosed assertions should be encrypted

### isEncryptAttributes

@ConfigurationSetting(name="encryptAttributes") boolean isEncryptAttributes(@Nullable ProfileRequestContext profileRequestContext)
Gets whether enclosed attributes should be encrypted.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether enclosed attributes should be encrypted